OnlyFans API
Smart Link Postbacks

List Smart Link Postbacks

List all Smart Link postbacks configured for your Team

GET
/api/smart-link-postbacks
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/smart-link-postbacks"
{
  "data": [
    {
      "id": 123,
      "url": "https://example.com/postback?click={click_id}&type={conversion_type}&gclid={gclid}",
      "smart_link_scope": "campaign_specific",
      "conversion_types": [
        "new_subscriber",
        "new_transaction"
      ],
      "smart_link_ids": [
        "01JTESTLINK000000000000001"
      ],
      "smart_links": [
        {
          "link_ulid": "01JTESTLINK000000000000001",
          "name": "Instagram Bio Link",
          "account_display_name": "Creator Main",
          "account_prefixed_id": "acct_XXXXXXXX"
        }
      ],
      "latest_response": {
        "id": 456,
        "conversion_type": "new_subscriber",
        "postback_url": "https://example.com/postback?click=01JTESTCLICK000000000000001&type=new_subscriber&gclid=google-click-id",
        "succeeded": true,
        "status_code": 200,
        "error_type": null,
        "error_message": null,
        "created_at": "2026-01-31T22:16:00+00:00"
      },
      "created_at": "2026-01-31T21:45:00+00:00",
      "updated_at": "2026-01-31T21:45:00+00:00"
    }
  ],
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}